Bug 521469 - YUM Update error
Summary: YUM Update error
Keywords:
Status: CLOSED DUPLICATE of bug 501723
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 10
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 09:12 UTC by Jwalant Natvarlal Soneji
Modified: 2014-01-21 23:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 19:38:43 UTC
Type: ---


Attachments (Terms of Use)

Description Jwalant Natvarlal Soneji 2009-09-06 09:12:45 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.run konsole
2.login with "su -"
3.password for root
4."yum update"
5.got the error
  
Actual results:
yum update
Loaded plugins: aliases, auto-update-debuginfo, basearchonly, blacklist, changelog, downloadonly,
              : fastestmirror, fedorakmod, filter-data, kernel-module, keys, list-data, merge-   
              : conf, post-transaction-actions, presto, priorities, protect-packages,            
              : protectbase, refresh-packagekit, refresh-updatesd, remove-with-leaves, rpm-warm- 
              : cache, security, show-leaves, tmprepo, tsflags, upgrade-helper, verify,
              : versionlock, whiteout
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 157, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 189, in getOptionsConfig
    self.conf
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 652, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 237, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 408, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 163, in __init__
    self.run('config')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 180, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/tmprepo.py", line 179, in config_hook
    parser.values.tmp_repos = []
AttributeError: OptionGroup instance has no attribute 'values'


Expected results:
It should start checking for updates and all

Additional info:
I have yum extender installed. Since then the problem with YUM (this problem) has started.

Comment 1 seth vidal 2009-09-08 19:38:43 UTC

*** This bug has been marked as a duplicate of bug 501723 ***

Comment 2 Fedora Update System 2009-11-07 06:56:44 UTC
yum-utils-1.1.24-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-utils-1.1.24-1.fc12


Note You need to log in before you can comment on or make changes to this bug.